# this file is part of refractiveindex.info database
# refractiveindex.info database is in the public domain
# copyright and related rights waived via CC0 1.0

REFERENCES: |
    M. R. Querry. Optical constants, <a href="https://apps.dtic.mil/sti/citations/ADA158623"><i>Contractor Report</i> CRDC-CR-85034 (1985)</a>
COMMENTS: |
    Cu ingot.
DATA:
  - type: tabulated nk
    data: |
        0.2100 1.243 1.376
        0.2200 1.315 1.439
        0.2300 1.404 1.490
        0.2400 1.497 1.500
        0.2500 1.567 1.474
        0.2600 1.600 1.431
        0.2700 1.598 1.391
        0.2800 1.569 1.365
        0.2900 1.522 1.360
        0.3000 1.470 1.380
        0.3100 1.428 1.421
        0.3200 1.400 1.467
        0.3300 1.379 1.511
        0.3400 1.359 1.552
        0.3500 1.338 1.593
        0.3600 1.316 1.637
        0.3700 1.297 1.683
        0.3800 1.279 1.728
        0.3900 1.263 1.773
        0.4000 1.247 1.818
        0.4100 1.229 1.862
        0.4200 1.212 1.907
        0.4300 1.196 1.952
        0.4400 1.180 1.998
        0.4500 1.167 2.042
        0.4600 1.155 2.083
        0.4700 1.142 2.119
        0.4800 1.126 2.154
        0.4900 1.110 2.186
        0.5000 1.093 2.215
        0.5100 1.073 2.235
        0.5200 1.046 2.244
        0.5300 1.002 2.242
        0.5400 0.930 2.238
        0.5500 0.825 2.248
        0.5600 0.696 2.293
        0.5700 0.565 2.382
        0.5800 0.454 2.510
        0.5900 0.376 2.661
        0.6000 0.334 2.815
        0.6100 0.317 2.957
        0.6200 0.314 3.083
        0.6300 0.317 3.197
        0.6400 0.321 3.302
        0.6500 0.326 3.400
        0.6600 0.329 3.492
        0.6700 0.332 3.583
        0.6800 0.335 3.671
        0.6900 0.339 3.757
        0.7000 0.343 3.841
        0.7100 0.347 3.923
        0.7200 0.350 4.004
        0.7300 0.354 4.084
        0.7400 0.357 4.162
        0.7500 0.360 4.240
        0.7600 0.363 4.318
        0.7700 0.367 4.396
        0.7800 0.371 4.474
        0.7900 0.377 4.550
        0.8000 0.383 4.626
        0.8100 0.390 4.699
        0.8200 0.397 4.772
        0.8300 0.403 4.843
        0.8400 0.410 4.913
        0.8500 0.416 4.982
        0.8600 0.421 5.049
        0.8700 0.425 5.116
        0.8800 0.427 5.184
        0.8900 0.431 5.253
        0.9000 0.434 5.321
        0.9100 0.437 5.387
        0.9200 0.439 5.455
        0.9300 0.441 5.522
        0.9400 0.443 5.589
        0.9500 0.443 5.656
        0.9600 0.444 5.725
        0.9700 0.445 5.795
        0.9800 0.448 5.865
        0.9900 0.454 5.934
        1.0000 0.459 6.000
        1.0097 0.463 6.128
        1.0100 0.462 6.064
        1.0300 0.462 6.195
        1.0400 0.462 6.263
        1.0500 0.464 6.331
        1.0600 0.466 6.400
        1.0700 0.468 6.469
        1.0800 0.470 6.538
        1.0900 0.474 6.608
        1.1000 0.480 6.676
        1.1100 0.487 6.743
        1.1200 0.492 6.807
        1.1300 0.496 6.870
        1.1400 0.497 6.935
        1.1500 0.499 7.001
        1.1600 0.502 7.067
        1.1700 0.503 7.133
        1.1800 0.505 7.201
        1.1900 0.509 7.269
        1.2000 0.515 7.337
        1.2100 0.522 7.402
        1.2200 0.526 7.464
        1.2300 0.528 7.528
        1.2400 0.528 7.594
        1.2500 0.532 7.662
        1.2600 0.537 7.730
        1.2700 0.543 7.795
        1.2800 0.548 7.859
        1.2900 0.553 7.924
        1.3000 0.558 7.989
        1.3100 0.563 8.052
        1.3200 0.568 8.116
        1.3314 0.572 8.179
        1.3400 0.577 8.242
        1.3500 0.581 8.305
        1.3600 0.585 8.367
        1.3700 0.589 8.429
        1.3800 0.591 8.491
        1.3900 0.593 8.553
        1.4000 0.595 8.617
        1.4100 0.597 8.680
        1.4200 0.599 8.743
        1.4300 0.600 8.807
        1.4400 0.601 8.872
        1.4500 0.602 8.938
        1.4600 0.604 9.004
        1.4700 0.608 9.071
        1.4800 0.613 9.137
        1.4900 0.618 9.202
        1.5000 0.624 9.267
        1.5100 0.630 9.330
        1.5200 0.636 9.392
        1.5300 0.639 9.452
        1.5400 0.641 9.515
        1.5500 0.642 9.579
        1.5600 0.644 9.644
        1.5700 0.648 9.710
        1.5800 0.654 9.775
        1.5900 0.659 9.839
        1.6000 0.664 9.902
        1.6100 0.669 9.966
        1.6201 0.675 10.030
        1.6300 0.681 10.093
        1.6401 0.689 10.154
        1.6500 0.695 10.215
        1.6600 0.699 10.274
        1.6700 0.703 10.334
        1.6800 0.707 10.394
        1.6900 0.710 10.454
        1.7000 0.713 10.514
        1.7100 0.716 10.574
        1.7200 0.717 10.634
        1.7300 0.718 10.694
        1.7400 0.718 10.754
        1.7500 0.718 10.816
        1.7600 0.719 10.879
        1.7700 0.720 10.942
        1.7800 0.721 11.005
        1.7900 0.722 11.067
        1.8000 0.723 11.130
        1.8100 0.724 11.191
        1.8200 0.722 11.255
        1.8300 0.721 11.321
        1.8400 0.722 11.389
        1.8500 0.727 11.456
        1.8600 0.733 11.520
        1.8700 0.739 11.583
        1.8800 0.742 11.642
        1.8900 0.742 11.703
        1.9000 0.741 11.766
        1.9100 0.741 11.831
        1.9200 0.742 11.897
        1.9300 0.745 11.962
        1.9400 0.748 12.027
        1.9500 0.750 12.091
        1.9600 0.752 12.156
        1.9700 0.754 12.221
        1.9800 0.756 12.286
        1.9900 0.759 12.352
        2.0000 0.762 12.419
        2.0100 0.766 12.484
        2.0200 0.770 12.550
        2.0300 0.775 12.615
        2.0400 0.780 12.681
        2.0500 0.785 12.745
        2.0600 0.789 12.810
        2.0700 0.793 12.874
        2.0800 0.798 12.938
        2.0900 0.802 13.004
        2.1000 0.806 13.067
        2.1100 0.811 13.132
        2.1200 0.817 13.198
        2.1300 0.823 13.262
        2.1400 0.828 13.325
        2.1500 0.832 13.389
        2.1600 0.837 13.454
        2.1700 0.843 13.518
        2.1800 0.848 13.580
        2.1900 0.854 13.644
        2.2000 0.857 13.708
        2.2100 0.863 13.772
        2.2200 0.868 13.837
        2.2300 0.874 13.900
        2.2400 0.881 13.962
        2.2500 0.885 14.026
        2.2600 0.890 14.089
        2.2700 0.895 14.154
        2.2800 0.902 14.216
        2.2900 0.908 14.280
        2.3000 0.913 14.343
        2.3100 0.919 14.407
        2.3200 0.925 14.470
        2.3300 0.930 14.534
        2.3400 0.936 14.596
        2.3500 0.941 14.660
        2.3600 0.949 14.722
        2.3700 0.954 14.786
        2.3800 0.959 14.848
        2.3900 0.965 14.910
        2.4000 0.971 14.972
        2.4100 0.975 15.035
        2.4200 0.983 15.097
        2.4300 0.988 15.160
        2.4400 0.993 15.222
        2.4500 0.998 15.285
        2.4600 1.003 15.347
        2.4700 1.008 15.410
        2.4800 1.011 15.475
        2.4900 1.018 15.538
        2.5000 1.024 15.604
        2.5063 1.029 15.644
        2.5126 1.033 15.684
        2.5189 1.038 15.724
        2.5253 1.043 15.764
        2.5316 1.048 15.804
        2.5381 1.052 15.843
        2.5445 1.056 15.884
        2.5510 1.061 15.924
        2.5575 1.065 15.964
        2.5641 1.069 16.005
        2.5707 1.074 16.046
        2.5773 1.078 16.087
        2.5840 1.082 16.129
        2.5907 1.087 16.170
        2.5974 1.091 16.212
        2.6042 1.096 16.254
        2.6110 1.100 16.296
        2.6178 1.105 16.338
        2.6247 1.109 16.381
        2.6316 1.113 16.424
        2.6385 1.118 16.467
        2.6455 1.122 16.510
        2.6525 1.127 16.554
        2.6596 1.132 16.598
        2.6667 1.137 16.642
        2.6738 1.142 16.686
        2.6810 1.147 16.730
        2.6882 1.151 16.775
        2.6954 1.156 16.819
        2.7027 1.161 16.865
        2.7100 1.167 16.910
        2.7174 1.172 16.955
        2.7248 1.178 17.001
        2.7322 1.183 17.046
        2.7397 1.188 17.092
        2.7473 1.193 17.138
        2.7548 1.198 17.185
        2.7624 1.204 17.231
        2.7701 1.210 17.278
        2.7778 1.215 17.325
        2.7855 1.221 17.372
        2.7933 1.226 17.420
        2.8011 1.232 17.467
        2.8090 1.238 17.514
        2.8169 1.243 17.562
        2.8249 1.249 17.610
        2.8329 1.254 17.658
        2.8409 1.260 17.707
        2.8490 1.266 17.755
        2.8571 1.271 17.804
        2.8653 1.276 17.853
        2.8736 1.282 17.903
        2.8818 1.287 17.953
        2.8902 1.293 18.003
        2.8986 1.299 18.053
        2.9070 1.304 18.103
        2.9155 1.309 18.153
        2.9240 1.314 18.204
        2.9326 1.320 18.256
        2.9412 1.325 18.307
        2.9499 1.330 18.359
        2.9586 1.334 18.411
        2.9674 1.339 18.464
        2.9762 1.344 18.517
        2.9851 1.350 18.570
        2.9940 1.355 18.623
        3.0030 1.360 18.677
        3.0120 1.365 18.731
        3.0211 1.370 18.786
        3.0303 1.375 18.841
        3.0395 1.380 18.896
        3.0488 1.385 18.952
        3.0581 1.390 19.008
        3.0675 1.395 19.064
        3.0769 1.400 19.121
        3.0864 1.405 19.178
        3.0960 1.409 19.236
        3.1056 1.414 19.294
        3.1153 1.420 19.353
        3.1250 1.425 19.412
        3.1348 1.430 19.471
        3.1447 1.436 19.530
        3.1546 1.441 19.590
        3.1646 1.446 19.650
        3.1746 1.451 19.711
        3.1847 1.457 19.772
        3.1949 1.462 19.834
        3.2051 1.467 19.896
        3.2154 1.472 19.959
        3.2258 1.478 20.022
        3.2362 1.483 20.085
        3.2468 1.489 20.149
        3.2573 1.494 20.214
        3.2680 1.501 20.280
        3.2787 1.508 20.345
        3.2895 1.514 20.410
        3.3003 1.520 20.475
        3.3113 1.526 20.541
        3.3223 1.531 20.609
        3.3333 1.538 20.676
        3.3445 1.544 20.744
        3.3557 1.551 20.813
        3.3670 1.557 20.881
        3.3784 1.564 20.951
        3.3898 1.570 21.020
        3.4014 1.577 21.091
        3.4130 1.584 21.161
        3.4247 1.591 21.232
        3.4364 1.597 21.304
        3.4483 1.604 21.377
        3.4602 1.611 21.450
        3.4722 1.619 21.523
        3.4843 1.627 21.597
        3.4965 1.635 21.670
        3.5088 1.642 21.744
        3.5211 1.649 21.820
        3.5336 1.656 21.895
        3.5461 1.664 21.972
        3.5587 1.671 22.049
        3.5714 1.680 22.127
        3.5842 1.688 22.204
        3.5971 1.696 22.282
        3.6101 1.704 22.361
        3.6232 1.712 22.441
        3.6364 1.720 22.521
        3.6496 1.728 22.602
        3.6630 1.736 22.684
        3.6765 1.745 22.767
        3.6900 1.754 22.850
        3.7037 1.764 22.933
        3.7175 1.773 23.017
        3.7313 1.783 23.101
        3.7453 1.792 23.185
        3.7594 1.802 23.270
        3.7736 1.810 23.357
        3.7879 1.819 23.444
        3.8023 1.829 23.532
        3.8168 1.839 23.621
        3.8314 1.849 23.710
        3.8462 1.859 23.800
        3.8610 1.870 23.890
        3.8760 1.881 23.981
        3.8911 1.892 24.073
        3.9063 1.902 24.166
        3.9216 1.913 24.259
        3.9370 1.924 24.353
        3.9526 1.936 24.447
        3.9683 1.947 24.543
        3.9841 1.959 24.640
        4.0000 1.971 24.738
        4.0161 1.984 24.836
        4.0323 1.997 24.934
        4.0486 2.010 25.034
        4.0650 2.025 25.134
        4.0816 2.039 25.234
        4.0984 2.053 25.334
        4.1152 2.066 25.434
        4.1322 2.079 25.537
        4.1494 2.092 25.641
        4.1667 2.108 25.747
        4.1841 2.124 25.852
        4.2017 2.140 25.957
        4.2194 2.156 26.061
        4.2373 2.171 26.168
        4.2553 2.186 26.275
        4.2735 2.201 26.384
        4.2918 2.216 26.494
        4.3103 2.233 26.605
        4.3290 2.251 26.717
        4.3478 2.270 26.828
        4.3668 2.287 26.938
        4.3860 2.304 27.050
        4.4053 2.321 27.163
        4.4248 2.338 27.278
        4.4444 2.356 27.393
        4.4643 2.374 27.509
        4.4843 2.391 27.626
        4.5045 2.409 27.744
        4.5249 2.429 27.863
        4.5455 2.449 27.982
        4.5662 2.468 28.101
        4.5872 2.485 28.221
        4.6083 2.505 28.343
        4.6296 2.524 28.465
        4.6512 2.544 28.597
        4.6729 2.561 28.710
        4.6948 2.579 28.836
        4.7170 2.597 28.963
        4.7393 2.616 29.091
        4.7619 2.636 29.218
        4.7847 2.654 29.347
        4.8077 2.673 29.477
        4.8309 2.691 29.609
        4.8544 2.710 29.742
        4.8780 2.728 29.876
        4.9020 2.748 30.010
        4.9261 2.766 30.146
        4.9505 2.785 30.282
        4.9751 2.801 30.419
        5.0000 2.817 30.560
        5.0251 2.834 30.703
        5.0761 2.870 30.991
        5.1020 2.888 31.137
        5.1020 2.853 30.846
        5.1282 2.905 31.286
        5.1546 2.925 31.435
        5.1813 2.943 31.584
        5.2083 2.959 31.735
        5.2356 2.975 31.889
        5.2632 2.991 32.045
        5.2910 3.007 32.203
        5.3191 3.024 32.364
        5.3476 3.041 32.526
        5.3763 3.058 32.690
        5.4054 3.075 32.856
        5.4348 3.093 33.025
        5.4645 3.111 33.195
        5.4945 3.128 33.366
        5.5249 3.145 33.540
        5.5556 3.162 33.717
        5.5866 3.179 33.896
        5.6180 3.199 34.077
        5.6497 3.216 34.260
        5.6818 3.232 34.446
        5.7143 3.249 34.636
        5.7471 3.269 34.830
        5.7803 3.290 35.025
        5.8140 3.311 35.223
        5.8480 3.332 35.422
        5.8824 3.354 35.625
        5.9172 3.377 35.830
        5.9524 3.399 36.039
        5.9880 3.425 36.251
        6.0241 3.452 36.464
        6.0606 3.481 36.679
        6.0976 3.509 36.894
        6.1350 3.535 37.113
        6.1728 3.562 37.337
        6.2112 3.591 37.563
        6.2500 3.623 37.791
        6.2893 3.653 38.022
        6.3291 3.684 38.257
        6.3694 3.715 38.496
        6.4103 3.752 38.738
        6.4516 3.788 38.981
        6.4935 3.827 39.225
        6.5359 3.865 39.472
        6.5789 3.903 39.721
        6.6225 3.939 39.976
        6.6667 3.979 40.234
        6.7114 4.022 40.496
        6.7568 4.068 40.758
        6.8027 4.111 41.022
        6.8493 4.155 41.289
        6.8966 4.198 41.561
        6.9444 4.245 41.837
        6.9930 4.292 42.116
        7.0423 4.342 42.398
        7.0922 4.393 42.680
        7.1429 4.442 42.966
        7.1942 4.491 43.255
        7.2464 4.540 43.550
        7.2993 4.591 43.949
        7.3529 4.642 44.152
        7.4074 4.695 44.459
        7.4627 4.748 44.770
        7.5188 4.804 45.087
        7.5758 4.861 45.406
        7.6336 4.922 45.728
        7.6923 4.980 46.051
        7.7519 5.036 46.379
        7.8125 5.091 46.714
        7.8740 5.147 47.056
        7.9365 5.205 47.404
        8.0000 5.264 47.758
        8.0645 5.327 48.118
        8.1301 5.392 48.481
        8.1967 5.457 48.847
        8.2645 5.520 49.220
        8.3333 5.585 49.600
        8.4034 5.652 49.987
        8.4746 5.720 50.379
        8.5470 5.789 50.778
        8.6207 5.860 51.184
        8.6957 5.933 51.597
        8.7719 6.007 52.016
        8.8496 6.083 52.442
        8.9286 6.161 52.875
        9.0090 6.240 53.316
        9.0909 6.321 53.764
        9.1743 6.405 54.220
        9.2593 6.490 54.683
        9.3458 6.577 55.155
        9.4340 6.666 55.656
        9.5238 6.758 56.127
        9.6154 6.857 56.625
        9.7087 6.957 57.129
        9.8039 7.060 57.640
        9.9010 7.160 58.161
        10.0000 7.264 58.695
        10.1010 7.375 59.238
        10.2041 7.489 59.791
        10.3093 7.610 60.349
        10.4167 7.729 60.918
        10.5263 7.856 61.494
        10.6383 7.980 62.080
        10.7527 8.113 62.675
        10.8696 8.243 63.278
        10.9890 8.376 63.891
        11.1111 8.507 64.517
        11.2360 8.642 65.157
        11.3636 8.780 65.810
        11.4943 8.922 66.474
        11.6279 9.068 67.151
        11.7647 9.217 67.838
        11.9048 9.363 68.539
        12.0482 9.514 69.257
        12.1951 9.669 69.990
        12.3457 9.834 70.732
        12.5000 9.995 71.482
        12.6582 10.152 72.246
        12.8205 10.305 73.028
        12.9870 10.455 73.829
        13.1579 10.603 74.650
        13.3333 10.748 75.498
        13.5135 10.898 76.371
        13.6986 11.052 77.262
        13.8889 11.202 78.178
        14.0845 11.356 79.117
        14.2857 11.507 80.082
        14.4928 11.661 81.071
        14.7059 11.801 82.093
        14.9254 11.949 83.153
        15.1515 12.102 84.247
        15.3846 12.268 85.364
        15.6250 12.426 86.503
        15.8730 12.565 87.677
        16.1290 12.690 88.903
        16.3934 12.813 90.192
        16.6667 12.955 91.534
        16.9492 13.112 92.917
        17.2414 13.272 94.337
        17.5439 13.422 95.800
        17.8571 13.552 97.331
        18.1818 13.690 98.934
        18.5185 13.836 100.610
        18.8679 14.000 102.349
        19.2308 14.167 104.147
        19.6078 14.323 106.017
        20.0000 14.470 107.976
        20.4082 14.609 110.046
        20.8333 14.776 112.227
        21.2766 14.968 114.511
        21.7391 15.183 116.891
        22.2222 15.406 119.378
        22.7273 15.637 121.987
        23.2558 15.879 124.731
        23.8095 16.134 127.630
        24.3902 16.427 130.692
        25.0000 16.759 133.915
        25.6410 17.132 137.301
        26.3158 17.524 140.869
        27.0270 17.941 144.658
        27.7778 18.418 148.685
        28.5714 18.960 152.964
        29.4118 19.605 157.481
        30.3030 20.293 162.270
        31.2500 21.072 167.359
        32.2581 21.918 172.804
        33.3333 22.922 178.602
        34.4828 24.013 184.793
        35.7143 25.258 191.424
        37.0370 26.632 198.573
        38.4615 28.268 206.248
        40.0000 30.080 214.517
        41.6667 32.172 223.454
        43.4783 34.533 233.188
        45.4545 37.361 243.743
        47.6190 40.571 255.237
        50.0000 44.324 267.743
        52.6316 48.419 281.859
        55.5556 54.058 297.306
